Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 244584 - Allow closing of minimized topcomponents using middle-mouse click
Allow closing of minimized topcomponents using middle-mouse click
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
8.0
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-19 09:49 UTC by markiewb
Modified: 2014-07-26 10:19 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows a minimized TC (26.57 KB, image/png)
2014-05-19 09:49 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2014-05-19 09:49:12 UTC
Created attachment 147328 [details]
Shows a minimized TC

* Hover over a minimized TC in the sidebar
* Press middle-mouse button

ACTUAL: nothing happens
EXPECTED: minimized TC closes

Same as https://netbeans.org/bugzilla/show_bug.cgi?id=74018, but this time for minimized TCs.
Comment 1 Stanislav Aubrecht 2014-07-04 14:43:11 UTC
core-main 52647857a2bc
Comment 2 Quality Engineering 2014-07-08 02:28:33 UTC
Integrated into 'main-silver', will be available in build *201407080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/52647857a2bc
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #244584 - close minimized TCs on mouse middle click
Comment 3 markiewb 2014-07-26 10:19:41 UTC
Verified

Product Version: NetBeans IDE Dev (Build 201407260001)
Updates: Updates available
Java: 1.8.0_05; Java HotSpot(TM) 64-Bit Server VM 25.5-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_05-b13
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo